Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 824823 - openct-ifd.so: undefined symbol: IFDHCreateChann
Summary: openct-ifd.so: undefined symbol: IFDHCreateChann
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pcsc-lite
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bob Relyea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-24 11:31 UTC by Mads Kiilerich
Modified: 2013-08-01 10:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 10:02:52 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2012-05-24 11:31:10 UTC
On f17, when I plug in an empty omnikey 3121 I get:
May 24 13:27:15 dev-mk pcscd[23481]: 04112943 dyn_unix.c:81:DYN_GetAddress() IFDHCreateChannelByName: /usr/lib/pcsc/drivers/openct-ifd.bundle/Contents/Linux/openct-ifd.so: undefined symbol: IFDHCreateChann

I guess it is some kind of dependency or versioning problem.

openct-0.6.20-3.fc17.i686
pcsc-lite-1.8.3-1.fc17.i686
pcsc-lite-ccid-1.4.6-1.fc17.i686
pcsc-lite-devel-1.8.3-1.fc17.i686
pcsc-lite-doc-1.8.3-1.fc17.noarch
pcsc-lite-libs-1.8.3-1.fc17.i686
pcsc-lite-openct-0.6.20-3.fc17.i686

Comment 1 Tomas Mraz 2012-05-25 13:36:47 UTC
Nope, it is a harmless message that is logged on load of any IFD 2.0 module by pcsc-lite. Reassigning to pcsc-lite for consideration whether the message should not be suppressed.

Comment 3 Mads Kiilerich 2012-05-25 14:02:21 UTC
Thanks. I assumed that a missing symbol was the root cause that I see this when I plug in a reader (no card inserted yet):

May 25 15:55:17 user07 kernel: [  463.935141] usb 4-1: New USB device found, idVendor=076b, idProduct=3021
May 25 15:55:17 user07 kernel: [  463.935148] usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
May 25 15:55:17 user07 kernel: [  463.935153] usb 4-1: Product: Smart Card Reader USB
May 25 15:55:17 user07 kernel: [  463.935156] usb 4-1: Manufacturer: OMNIKEY AG
May 25 15:55:17 user07 mtp-probe: checking bus 4, device 4: "/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1"
May 25 15:55:17 user07 mtp-probe: bus: 4, device: 4 was not an MTP device
May 25 15:55:17 user07 pcscd[2091]: 03382300 dyn_unix.c:81:DYN_GetAddress() IFDHCreateChannelByName: /usr/lib/pcsc/drivers/openct-ifd.bundle/Contents/Linux/openct-ifd.so: undefined symbol: IFDHCreateChann
May 25 15:55:17 user07 pcscd[2091]: 00000377 readerfactory.c:967:RFInitializeReader() Open Port 0x200000 Failed (usb:076b/3021:libudev:0:/dev/bus/usb/004/004)
May 25 15:55:17 user07 pcscd[2091]: 00000013 readerfactory.c:276:RFAddReader() Generic CCID Reader init failed.
May 25 15:55:17 user07 pcscd[2091]: 00000081 hotplug_libudev.c:379:HPAddDevice() Failed adding USB device: Generic CCID Reader
May 25 15:55:20 user07 ifdhandler[2107]: usb_claiminterface failed: Device or resource busy
May 25 15:55:20 user07 ifdhandler[2107]: usb:/dev/bus/usb/004/004: initialization failed (driver ccid)
May 25 15:55:20 user07 ifdhandler[2107]: unable to open reader ccid usb /dev/bus/usb/004/004

I assume it should work out of the box without these messages and that it would make sense to file bugs for it. Can you give a hint how I should file it?

Comment 4 Tomas Mraz 2012-05-25 14:18:54 UTC
I'd recommend reporting the problem to the OpenCT upstream. I have no appropriate hardware to properly reproduce it with.

Comment 5 Kalev Lember 2012-05-25 14:29:52 UTC
Does the problem go away if you remove openct and pcsc-lite-openct packages?

You currently have both pcsc-lite-openct and pcsc-lite-ccid installed and they are trying to access the same reader. Omnikey 3121 should be supported by the ccid driver and I'd recommend using that instead of the openct stack.

http://pcsclite.alioth.debian.org/ccid/supported.html#0x076B0x3021

Comment 6 Fedora End Of Life 2013-07-04 03:03:22 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2013-08-01 10:02:56 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.